MacWrtProParserInternal::State Struct Reference documentation

MacWrtProParserInternal::State Struct Reference

Internal: the state of a MacWrtProParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
std::set< int > | m_parsedBlocks
| the list of retrieved block : block
std::map< int, std::shared_ptr< Zone > > | m_dataMap
| the list of blockId->data zone
std::map< int, std::shared_ptr< TextZone > > | m_textMap
| the list of blockId->text zone
std::vector< int > | m_graphicIdsCallByTokens
| the list of graphicId called by tokens
int | m_fileNumPages
| the number of page in MWII
int | m_col
| the number of columns in MWII
double | m_colSeparator
| the columns separator in inch MWII
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
bool | m_hasTitlePage
| flag to know if we have a title page

## Detailed Description

Internal: the state of a MacWrtProParser.

## Constructor & Destructor Documentation

## ◆ State()

MacWrtProParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int MacWrtProParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_col

int MacWrtProParserInternal::State::m_col

the number of columns in MWII

Referenced by State().

## ◆ m_colSeparator

double MacWrtProParserInternal::State::m_colSeparator

the columns separator in inch MWII

Referenced by State().

## ◆ m_dataMap

std::map<int, std::shared_ptr<Zone> > MacWrtProParserInternal::State::m_dataMap

the list of blockId->data zone

Referenced by State().

## ◆ m_fileNumPages

int MacWrtProParserInternal::State::m_fileNumPages

the number of page in MWII

Referenced by State().

## ◆ m_graphicIdsCallByTokens

std::vector<int> MacWrtProParserInternal::State::m_graphicIdsCallByTokens

the list of graphicId called by tokens

Referenced by State().

## ◆ m_hasTitlePage

bool MacWrtProParserInternal::State::m_hasTitlePage

flag to know if we have a title page

Referenced by State().

## ◆ m_numPages

int MacWrtProParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_parsedBlocks

std::set<int> MacWrtProParserInternal::State::m_parsedBlocks

the list of retrieved block : block

Referenced by State().

## ◆ m_textMap

std::map<int, std::shared_ptr<TextZone> > MacWrtProParserInternal::State::m_textMap

the list of blockId->text zone

Referenced by State().

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx